_copyright = """
Copyright 2007 Tasci Synx

    This file is part of imageTagger.

    imageTagger is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    imageTagger is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

import sys,os

def findCopyright():
	veryTop = os.path.dirname(sys.argv[0])
	if not veryTop: veryTop = '.'
	for top,dirs,files in os.walk(veryTop):
		for name in files:
			if not name.endswith('.py'): continue
			f = os.path.join(top,name)
			if f == sys.argv[0]: continue # err...can't do this yet

			data = list()
			state = 0
			input = open(f)
			try:
			 for line in input:
				if state == 0:
					if '_copyright' in line: state = 1
					else: data.append(line)
				elif state == 1:
					if line == '"""\n': state = 0
			finally: input.close()
			data = ''.join(data)
			#if '_copyright' in data: continue

			print "Adding copyright to",f
			out = open(f,'w')
			try: 
				out.write('_copyright="""%s"""\n\n' % _copyright)
				out.write(data)
			finally: out.close()

if __name__=='__main__':
	pass
#	ONLY uncomment this if you know what it does, and have backups. Invasive!
#	findCopyright()


