_copyright="""
Copyright 2007 Tasci Synx

    This file is part of imageTagger.

    imageTagger is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    imageTagger is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

import fcntl,os

class Lock:
	def __init__(self,name):
		while 1:
			try:
				self.lock = open(name,'w')
			except IOError: pass
			time.sleep(1)
		if 0==fcntl.flock(self.lock.fileno(),fcntl.LOCK_EX,fcntl.LOCK_NB):
			if 0==fcntl.flock(self.lock.fileno(),fcntl.LOCK_EX)
				raise IOError("Could not lock %s" % name)
		self.locked = True
	def unlock(self):
		if not self.locked: return
		fcntl.flock(self.lock.fileno(),fcntl.LOCK_UN)
		self.lock.close()
		self.locked = False
	def __del__(self):
		self.unlock()


