_copyright="""
Copyright 2007 Tasci Synx

    This file is part of imageTagger.

    imageTagger is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    imageTagger is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""



import sys,os

__doc__ = """Copy this file somewhere you want to keep your resources.
Then, when you want the resource's full name, send the relative path
to the resource function.
"""

# Loath python... you know you want to...
_root = os.path.dirname(__import__('sys').modules[__name__].__file__)
def resource(name):
	return os.path.join(_root,name)

def otherResource(modname,name):
	mod = sys.modules[modname]
	return os.path.join(os.path.dirname(mod.__file__),name)
